# Class Bond

java.lang.Object
org.jmol.adapter.smarter.AtomSetObject
org.jmol.adapter.smarter.Bond

public class Bond extends AtomSetObject

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`atomIndex1`
`int`
`atomIndex2`
`short`
`colix`
`float`
`distance`
`int`
`order`
`float`
`pymolRadius`
`int`
`uniqueID`

### Fields inherited from class AtomSetObject

`atomSetIndex`

## Constructor Summary

Constructors
Constructor
Description
`Bond(int atomIndex1, int atomIndex2, int order)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### atomIndex1

public int atomIndex1

### atomIndex2

public int atomIndex2

### order

public int order

### pymolRadius

public float pymolRadius

### colix

public short colix

### uniqueID

public int uniqueID

### distance

public float distance

## Constructor Details

### Bond

public Bond(int atomIndex1, int atomIndex2, int order)

Parameters:
  `atomIndex1` -
  `atomIndex2` -
  `order` -

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`